org.eclnt.jsfserver.directupdate.http

## Class ClientDirectUpdateHttpServlet

- java.lang.Object
- - HttpServlet
  - - org.eclnt.jsfserver.util.CCServletBase
    - - org.eclnt.jsfserver.directupdate.http.ClientDirectUpdateHttpServlet

-     public class ClientDirectUpdateHttpServlet
      extends CCServletBase

  Servlet that allows to access buffered content instances via URL. The URL needs to contain the key of the buffered content, so that it can be resolved via the session context.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientDirectUpdateHttpServlet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doGet(HttpServletRequest req, HttpServletResponse resp)`
    `protected void` | `doPost(HttpServletRequest req, HttpServletResponse resp)`
    `void` | `init()`

    - ### Methods inherited from class org.eclnt.jsfserver.util.CCServletBase

      `checkIfToInitializeCCEnvironment, proposeContentType, setContentType, setContentTypeInResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientDirectUpdateHttpServlet

          public ClientDirectUpdateHttpServlet()

  - ### Method Detail

    - #### init

          public void init()
                    throws ServletException

      Overrides:
        `init` in class `CCServletBase`
      Throws:
        `ServletException`

    - #### doGet

          public void doGet(HttpServletRequest req,
                            HttpServletResponse resp)
                     throws ServletException,
                            java.io.IOException

      Throws:
        `ServletException`
        `java.io.IOException`

    - #### doPost

          protected void doPost(HttpServletRequest req,
                                HttpServletResponse resp)
                         throws ServletException,
                                java.io.IOException

      Throws:
        `ServletException`
        `java.io.IOException`

Copyright © CaptainCasa Gmbh. All Rights Reserved.